package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAcctTitleDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanAcctTitleDOMapper;

/**
* The Table abs_plan_acct_title.
* ABS_PLAN_ACCT_TITLE
*/
@Repository
public class PlanAcctTitleDAO{

    @Autowired
    private PlanAcctTitleDOMapper planAcctTitleDOMapper;

    /**
     * desc:插入表:abs_plan_acct_title.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanAcctTitleDO entity){
        return planAcctTitleDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_acct_title.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanAcctTitleDO> list){
        planAcctTitleDOMapper.insertBatch(list);
        return  list.size(); 
    }
}
