package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFeeStructureDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanFeeStructureDOMapper;

/**
* The Table abs_plan_fee_structure.
* ABS_PLAN_FEE_STRUCTURE
*/
@Repository
public class PlanFeeStructureDAO{

    @Autowired
    private PlanFeeStructureDOMapper planFeeStructureDOMapper;

    /**
     * desc:插入表:abs_plan_fee_structure.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanFeeStructureDO entity){
        return planFeeStructureDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_fee_structure.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanFeeStructureDO> list){
        planFeeStructureDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键删除数据:abs_plan_fee_structure.<br/>
     * @param id id
     * @return int
     */
    
    public int deleteById(Long id){
        return planFeeStructureDOMapper.deleteById(id);
    }
    /**
     * desc:根据主键获取数据:abs_plan_fee_structure.<br/>
     * @param id id
     * @return PlanFeeStructureDO
     */
    
    public PlanFeeStructureDO getById(Long id){
        return planFeeStructureDOMapper.getById(id);
    }
}
