package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 机构节假日表
 */
public class OrgHolidayDO{

    /**
     * id .
     */
    private Long id;
    /**
     * memo 备注.
     */
    private String memo;
    /**
     * orgCode 机构编号.
     */
    private String orgCode;
    /**
     * dateInfo 日期.
     */
    private String dateInfo;
    /**
     * dateType 日期类型 WORKINGDAY: 工作日,  LEGALHOLIDAY: 法定节假日,  WEEKEND: 周未,   LIEUDAY: 调休,      LEGALHOLIDAY: 法定节假日,        WEEKEND: 周未,        LIEUDAY: 调休,.
     */
    private String dateType;
    /**
     * gmtCreate .
     */
    private Date gmtCreate;
    /**
     * gmtModified .
     */
    private Date gmtModified;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set memo 备注.
     */
    public void setMemo(String memo){
        this.memo = memo;
    }

    /**
     * Get memo 备注.
     *
     * @return the string
     */
    public String getMemo(){
        return memo;
    }

    /**
     * Set orgCode 机构编号.
     */
    public void setOrgCode(String orgCode){
        this.orgCode = orgCode;
    }

    /**
     * Get orgCode 机构编号.
     *
     * @return the string
     */
    public String getOrgCode(){
        return orgCode;
    }

    /**
     * Set dateInfo 日期.
     */
    public void setDateInfo(String dateInfo){
        this.dateInfo = dateInfo;
    }

    /**
     * Get dateInfo 日期.
     *
     * @return the string
     */
    public String getDateInfo(){
        return dateInfo;
    }

    /**
     * Set dateType 日期类型 WORKINGDAY: 工作日,  LEGALHOLIDAY: 法定节假日,  WEEKEND: 周未,   LIEUDAY: 调休,      LEGALHOLIDAY: 法定节假日,        WEEKEND: 周未,        LIEUDAY: 调休,.
     */
    public void setDateType(String dateType){
        this.dateType = dateType;
    }

    /**
     * Get dateType 日期类型 WORKINGDAY: 工作日,  LEGALHOLIDAY: 法定节假日,  WEEKEND: 周未,   LIEUDAY: 调休,      LEGALHOLIDAY: 法定节假日,        WEEKEND: 周未,        LIEUDAY: 调休,.
     *
     * @return the string
     */
    public String getDateType(){
        return dateType;
    }

    /**
     * Set gmtCreate .
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate .
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified .
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified .
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
