package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table ABS_PLAN_ACCT_TITLE
 */
public class PlanAcctTitleDO{

    /**
     * id 唯一主键.
     */
    private Long id;
    /**
     * refNo 对应资金编号.
     */
    private String refNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * titleNo 科目编号.
     */
    private String titleNo;
    /**
     * titleName 科目名称.
     */
    private String titleName;
    /**
     * titleType 科目类型(本金，利息，费用).
     */
    private String titleType;
    /**
     * gmtCreate 创建日期.
     */
    private Date gmtCreate;
    /**
     * gmtModified GMT_MODIFIED.
     */
    private Date gmtModified;

    /**
     * Set id 唯一主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 唯一主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set refNo 对应资金编号.
     */
    public void setRefNo(String refNo){
        this.refNo = refNo;
    }

    /**
     * Get refNo 对应资金编号.
     *
     * @return the string
     */
    public String getRefNo(){
        return refNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set titleNo 科目编号.
     */
    public void setTitleNo(String titleNo){
        this.titleNo = titleNo;
    }

    /**
     * Get titleNo 科目编号.
     *
     * @return the string
     */
    public String getTitleNo(){
        return titleNo;
    }

    /**
     * Set titleName 科目名称.
     */
    public void setTitleName(String titleName){
        this.titleName = titleName;
    }

    /**
     * Get titleName 科目名称.
     *
     * @return the string
     */
    public String getTitleName(){
        return titleName;
    }

    /**
     * Set titleType 科目类型(本金，利息，费用).
     */
    public void setTitleType(String titleType){
        this.titleType = titleType;
    }

    /**
     * Get titleType 科目类型(本金，利息，费用).
     *
     * @return the string
     */
    public String getTitleType(){
        return titleType;
    }

    /**
     * Set gmtCreate 创建日期.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建日期.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified GMT_MODIFIED.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified GMT_MODIFIED.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
