package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 资产定价规则
 */
public class PlanAstPriceRuleDO{

    /**
     * id .
     */
    private Long id;
    /**
     * termNo 期次.
     */
    private Long termNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * intrDiscountRate 利息折价率.
     */
    private BigDecimal intrDiscountRate;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set termNo 期次.
     */
    public void setTermNo(Long termNo){
        this.termNo = termNo;
    }

    /**
     * Get termNo 期次.
     *
     * @return the string
     */
    public Long getTermNo(){
        return termNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set intrDiscountRate 利息折价率.
     */
    public void setIntrDiscountRate(BigDecimal intrDiscountRate){
        this.intrDiscountRate = intrDiscountRate;
    }

    /**
     * Get intrDiscountRate 利息折价率.
     *
     * @return the string
     */
    public BigDecimal getIntrDiscountRate(){
        return intrDiscountRate;
    }
}
