package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table ABS_PLAN_INVEST_STRUCTURE
 */
public class PlanInvestStructureDO{

    /**
     * id .
     */
    private Long id;
    /**
     * order 排序.
     */
    private Long order;
    /**
     * layerAmt 金额/层级规模.
     */
    private Long layerAmt;
    /**
     * grade 评级.
     */
    private String grade;
    /**
     * planNo 产品编号.
     */
    private String planNo;
    /**
     * layerNo 层级编号.
     */
    private String layerNo;
    /**
     * intrType 利率类型.
     */
    private String intrType;
    /**
     * layerName 层级名称.
     */
    private String layerName;
    /**
     * layerType 分层类型.
     */
    private String layerType;
    /**
     * allocMethod 偿付方式.
     */
    private String allocMethod;
    /**
     * endDate 到期日.
     */
    private Date endDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * effectDate 起息日.
     */
    private Date effectDate;
    /**
     * gmtModified 更新时间.
     */
    private Date gmtModified;
    /**
     * expectEndDate 预计到期日.
     */
    private Date expectEndDate;
    /**
     * layerIntr 利率.
     */
    private BigDecimal layerIntr;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set order 排序.
     */
    public void setOrder(Long order){
        this.order = order;
    }

    /**
     * Get order 排序.
     *
     * @return the string
     */
    public Long getOrder(){
        return order;
    }

    /**
     * Set layerAmt 金额/层级规模.
     */
    public void setLayerAmt(Long layerAmt){
        this.layerAmt = layerAmt;
    }

    /**
     * Get layerAmt 金额/层级规模.
     *
     * @return the string
     */
    public Long getLayerAmt(){
        return layerAmt;
    }

    /**
     * Set grade 评级.
     */
    public void setGrade(String grade){
        this.grade = grade;
    }

    /**
     * Get grade 评级.
     *
     * @return the string
     */
    public String getGrade(){
        return grade;
    }

    /**
     * Set planNo 产品编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 产品编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set layerNo 层级编号.
     */
    public void setLayerNo(String layerNo){
        this.layerNo = layerNo;
    }

    /**
     * Get layerNo 层级编号.
     *
     * @return the string
     */
    public String getLayerNo(){
        return layerNo;
    }

    /**
     * Set intrType 利率类型.
     */
    public void setIntrType(String intrType){
        this.intrType = intrType;
    }

    /**
     * Get intrType 利率类型.
     *
     * @return the string
     */
    public String getIntrType(){
        return intrType;
    }

    /**
     * Set layerName 层级名称.
     */
    public void setLayerName(String layerName){
        this.layerName = layerName;
    }

    /**
     * Get layerName 层级名称.
     *
     * @return the string
     */
    public String getLayerName(){
        return layerName;
    }

    /**
     * Set layerType 分层类型.
     */
    public void setLayerType(String layerType){
        this.layerType = layerType;
    }

    /**
     * Get layerType 分层类型.
     *
     * @return the string
     */
    public String getLayerType(){
        return layerType;
    }

    /**
     * Set allocMethod 偿付方式.
     */
    public void setAllocMethod(String allocMethod){
        this.allocMethod = allocMethod;
    }

    /**
     * Get allocMethod 偿付方式.
     *
     * @return the string
     */
    public String getAllocMethod(){
        return allocMethod;
    }

    /**
     * Set endDate 到期日.
     */
    public void setEndDate(Date endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 到期日.
     *
     * @return the string
     */
    public Date getEndDate(){
        return endDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set effectDate 起息日.
     */
    public void setEffectDate(Date effectDate){
        this.effectDate = effectDate;
    }

    /**
     * Get effectDate 起息日.
     *
     * @return the string
     */
    public Date getEffectDate(){
        return effectDate;
    }

    /**
     * Set gmtModified 更新时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 更新时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set expectEndDate 预计到期日.
     */
    public void setExpectEndDate(Date expectEndDate){
        this.expectEndDate = expectEndDate;
    }

    /**
     * Get expectEndDate 预计到期日.
     *
     * @return the string
     */
    public Date getExpectEndDate(){
        return expectEndDate;
    }

    /**
     * Set layerIntr 利率.
     */
    public void setLayerIntr(BigDecimal layerIntr){
        this.layerIntr = layerIntr;
    }

    /**
     * Get layerIntr 利率.
     *
     * @return the string
     */
    public BigDecimal getLayerIntr(){
        return layerIntr;
    }
}
