package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table ABS_PLAN_REPORT_ENTITY
 */
public class PlanReportEntityDO{

    /**
     * id ID.
     */
    private Long id;
    /**
     * astNo 资产编号.
     */
    private String astNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * rptDim 统计维度.
     */
    private String rptDim;
    /**
     * userId 用户ID.
     */
    private String userId;
    /**
     * statVal 统计值.
     */
    private String statVal;
    /**
     * statType 统计项.
     */
    private String statType;
    /**
     * eventCode 事件码.
     */
    private String eventCode;
    /**
     * sign 统计符号（正负）.
     */
    private Integer sign;
    /**
     * astChg 资产变更数.
     */
    private Integer astChg;
    /**
     * accountDate 会计日期.
     */
    private Date accountDate;
    /**
     * cost .
     */
    private Money cost;
    /**
     * feeAmt 费用.
     */
    private Money feeAmt;
    /**
     * intrAmt 利息.
     */
    private Money intrAmt;
    /**
     * prinAmt 本金.
     */
    private Money prinAmt;
    /**
     * ovdFeeAmt 逾期费用.
     */
    private Money ovdFeeAmt;
    /**
     * ovdIntrAmt 逾期利息.
     */
    private Money ovdIntrAmt;
    /**
     * ovdPrinAmt 逾期本金.
     */
    private Money ovdPrinAmt;
    /**
     * feePenalAmt 费用滞纳金.
     */
    private Money feePenalAmt;
    /**
     * otherFeeAmt 其他费用.
     */
    private Money otherFeeAmt;
    /**
     * intrPenalAmt 利罚.
     */
    private Money intrPenalAmt;
    /**
     * prinPenalAmt 本罚.
     */
    private Money prinPenalAmt;
    /**
     * orgDistpftAmt 金融服务费.
     */
    private Money orgDistpftAmt;
    /**
     * otherFeePenalAmt 其他费用滞纳金.
     */
    private Money otherFeePenalAmt;

    /**
     * Set id ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set astNo 资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set rptDim 统计维度.
     */
    public void setRptDim(String rptDim){
        this.rptDim = rptDim;
    }

    /**
     * Get rptDim 统计维度.
     *
     * @return the string
     */
    public String getRptDim(){
        return rptDim;
    }

    /**
     * Set userId 用户ID.
     */
    public void setUserId(String userId){
        this.userId = userId;
    }

    /**
     * Get userId 用户ID.
     *
     * @return the string
     */
    public String getUserId(){
        return userId;
    }

    /**
     * Set statVal 统计值.
     */
    public void setStatVal(String statVal){
        this.statVal = statVal;
    }

    /**
     * Get statVal 统计值.
     *
     * @return the string
     */
    public String getStatVal(){
        return statVal;
    }

    /**
     * Set statType 统计项.
     */
    public void setStatType(String statType){
        this.statType = statType;
    }

    /**
     * Get statType 统计项.
     *
     * @return the string
     */
    public String getStatType(){
        return statType;
    }

    /**
     * Set eventCode 事件码.
     */
    public void setEventCode(String eventCode){
        this.eventCode = eventCode;
    }

    /**
     * Get eventCode 事件码.
     *
     * @return the string
     */
    public String getEventCode(){
        return eventCode;
    }

    /**
     * Set sign 统计符号（正负）.
     */
    public void setSign(Integer sign){
        this.sign = sign;
    }

    /**
     * Get sign 统计符号（正负）.
     *
     * @return the string
     */
    public Integer getSign(){
        return sign;
    }

    /**
     * Set astChg 资产变更数.
     */
    public void setAstChg(Integer astChg){
        this.astChg = astChg;
    }

    /**
     * Get astChg 资产变更数.
     *
     * @return the string
     */
    public Integer getAstChg(){
        return astChg;
    }

    /**
     * Set accountDate 会计日期.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 会计日期.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set cost .
     */
    public void setCost(Money cost){
        this.cost = cost;
    }

    /**
     * Get cost .
     *
     * @return the string
     */
    public Money getCost(){
        if(cost==null){
            return new Money();
        }
        return cost;
    }

    /**
     * Set feeAmt 费用.
     */
    public void setFeeAmt(Money feeAmt){
        this.feeAmt = feeAmt;
    }

    /**
     * Get feeAmt 费用.
     *
     * @return the string
     */
    public Money getFeeAmt(){
        if(feeAmt==null){
            return new Money();
        }
        return feeAmt;
    }

    /**
     * Set intrAmt 利息.
     */
    public void setIntrAmt(Money intrAmt){
        this.intrAmt = intrAmt;
    }

    /**
     * Get intrAmt 利息.
     *
     * @return the string
     */
    public Money getIntrAmt(){
        if(intrAmt==null){
            return new Money();
        }
        return intrAmt;
    }

    /**
     * Set prinAmt 本金.
     */
    public void setPrinAmt(Money prinAmt){
        this.prinAmt = prinAmt;
    }

    /**
     * Get prinAmt 本金.
     *
     * @return the string
     */
    public Money getPrinAmt(){
        if(prinAmt==null){
            return new Money();
        }
        return prinAmt;
    }

    /**
     * Set ovdFeeAmt 逾期费用.
     */
    public void setOvdFeeAmt(Money ovdFeeAmt){
        this.ovdFeeAmt = ovdFeeAmt;
    }

    /**
     * Get ovdFeeAmt 逾期费用.
     *
     * @return the string
     */
    public Money getOvdFeeAmt(){
        if(ovdFeeAmt==null){
            return new Money();
        }
        return ovdFeeAmt;
    }

    /**
     * Set ovdIntrAmt 逾期利息.
     */
    public void setOvdIntrAmt(Money ovdIntrAmt){
        this.ovdIntrAmt = ovdIntrAmt;
    }

    /**
     * Get ovdIntrAmt 逾期利息.
     *
     * @return the string
     */
    public Money getOvdIntrAmt(){
        if(ovdIntrAmt==null){
            return new Money();
        }
        return ovdIntrAmt;
    }

    /**
     * Set ovdPrinAmt 逾期本金.
     */
    public void setOvdPrinAmt(Money ovdPrinAmt){
        this.ovdPrinAmt = ovdPrinAmt;
    }

    /**
     * Get ovdPrinAmt 逾期本金.
     *
     * @return the string
     */
    public Money getOvdPrinAmt(){
        if(ovdPrinAmt==null){
            return new Money();
        }
        return ovdPrinAmt;
    }

    /**
     * Set feePenalAmt 费用滞纳金.
     */
    public void setFeePenalAmt(Money feePenalAmt){
        this.feePenalAmt = feePenalAmt;
    }

    /**
     * Get feePenalAmt 费用滞纳金.
     *
     * @return the string
     */
    public Money getFeePenalAmt(){
        if(feePenalAmt==null){
            return new Money();
        }
        return feePenalAmt;
    }

    /**
     * Set otherFeeAmt 其他费用.
     */
    public void setOtherFeeAmt(Money otherFeeAmt){
        this.otherFeeAmt = otherFeeAmt;
    }

    /**
     * Get otherFeeAmt 其他费用.
     *
     * @return the string
     */
    public Money getOtherFeeAmt(){
        if(otherFeeAmt==null){
            return new Money();
        }
        return otherFeeAmt;
    }

    /**
     * Set intrPenalAmt 利罚.
     */
    public void setIntrPenalAmt(Money intrPenalAmt){
        this.intrPenalAmt = intrPenalAmt;
    }

    /**
     * Get intrPenalAmt 利罚.
     *
     * @return the string
     */
    public Money getIntrPenalAmt(){
        if(intrPenalAmt==null){
            return new Money();
        }
        return intrPenalAmt;
    }

    /**
     * Set prinPenalAmt 本罚.
     */
    public void setPrinPenalAmt(Money prinPenalAmt){
        this.prinPenalAmt = prinPenalAmt;
    }

    /**
     * Get prinPenalAmt 本罚.
     *
     * @return the string
     */
    public Money getPrinPenalAmt(){
        if(prinPenalAmt==null){
            return new Money();
        }
        return prinPenalAmt;
    }

    /**
     * Set orgDistpftAmt 金融服务费.
     */
    public void setOrgDistpftAmt(Money orgDistpftAmt){
        this.orgDistpftAmt = orgDistpftAmt;
    }

    /**
     * Get orgDistpftAmt 金融服务费.
     *
     * @return the string
     */
    public Money getOrgDistpftAmt(){
        if(orgDistpftAmt==null){
            return new Money();
        }
        return orgDistpftAmt;
    }

    /**
     * Set otherFeePenalAmt 其他费用滞纳金.
     */
    public void setOtherFeePenalAmt(Money otherFeePenalAmt){
        this.otherFeePenalAmt = otherFeePenalAmt;
    }

    /**
     * Get otherFeePenalAmt 其他费用滞纳金.
     *
     * @return the string
     */
    public Money getOtherFeePenalAmt(){
        if(otherFeePenalAmt==null){
            return new Money();
        }
        return otherFeePenalAmt;
    }
}
