package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.JobControlDO;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table ABS_JOB_CONTROL.
 * ABS_JOB_CONTROL
 */
public interface JobControlDOMapper{

    /**
     * desc:插入表:ABS_JOB_CONTROL.<br/>
     * @param entity entity
     * @return int
     */
    int insert(JobControlDO entity);
    /**
     * desc:更新表:ABS_JOB_CONTROL.<br/>
     * @param entity entity
     * @return int
     */
    int update(JobControlDO entity);
    /**
     * desc:根据jobName获取数据:ABS_JOB_CONTROL.<br/>
     * @param jobName jobName
     * @return JobControlDO
     */
    JobControlDO getByJobName(@Param("jobName")String jobName);
    /**
     * desc:根据jobName获取数据:ABS_JOB_CONTROL.<br/>
     * @param jobName jobName
     * @return JobControlDO
     */
    JobControlDO lockByJobName(@Param("jobName")String jobName);
}
