package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanAstProfitDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_loan_ast_profit.
 * 机构资产收益
 */
public interface LoanAstProfitDOMapper{

    /**
     * desc:批量插入表:abs_loan_ast_profit.<br/>
     * @param entity entity
     * @return int
     */
    int insert(LoanAstProfitDO entity);
    /**
     * desc:更新表:abs_loan_ast_profit.<br/>
     * @param entity entity
     * @return int
     */
    int updateById(LoanAstProfitDO entity);
    /**
     * desc:根据普通索引AbsLoanAstProfitIdx获取数据:abs_loan_ast_profit.<br/>
     * @param astNo astNo
     * @return List<LoanAstProfitDO>
     */
    List<LoanAstProfitDO> queryByAstNo(@Param("astNo")String astNo);
}
