package com.abssqr.plat.common.dal.mysql.auto.paging;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstPackItem;
import java.util.List;

/**
 * The table ABS_AST_PACK 资产包
 */
public class AstPackPagePage extends BasePage<AstPackItem>{

    /**
     * packNo 资产包编号.
     */
    private String packNo;
    /**
     * packName 资产包名称.
     */
    private String packName;
    /**
     * status 状态 1.初始化 INIT 2.筛选中 EXEC 3.筛选完成 SCREEN_FIS  4.已封包 PACK 5.已解包 UNPACK 6.已拆包 BREAK 7.已发行 PUBLISH  .
     */
    private List<String> status;

    /**
     * Set packNo 资产包编号.
     */
    public void setPackNo(String packNo){
        this.packNo = packNo;
    }

    /**
     * Get packNo 资产包编号.
     *
     * @return the string
     */
    public String getPackNo(){
        return packNo;
    }

    /**
     * Set packName 资产包名称.
     */
    public void setPackName(String packName){
        this.packName = packName;
    }

    /**
     * Get packName 资产包名称.
     *
     * @return the string
     */
    public String getPackName(){
        return packName;
    }

    /**
     * Set status 状态 1.初始化 INIT 2.筛选中 EXEC 3.筛选完成 SCREEN_FIS  4.已封包 PACK 5.已解包 UNPACK 6.已拆包 BREAK 7.已发行 PUBLISH  .
     */
    public void setStatus(List<String> status){
        this.status = status;
    }

    /**
     * Get status 状态 1.初始化 INIT 2.筛选中 EXEC 3.筛选完成 SCREEN_FIS  4.已封包 PACK 5.已解包 UNPACK 6.已拆包 BREAK 7.已发行 PUBLISH  .
     *
     * @return the string
     */
    public List<String> getStatus(){
        return status;
    }
}
