package com.abssqr.plat.common.dal.mysql.auto.paging;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanCapitalOrderDO;
import java.util.Date;

/**
 * The table ABS_PLAN_CAPITAL_ORDER 计划资金交易订单
 */
public class PlanCapitalOrderPage extends BasePage<PlanCapitalOrderDO>{

    /**
     * id 自增ID.
     */
    private Long id;
    /**
     * nextExecTime 下次执行时间.
     */
    private Date nextExecTime;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * status 交易状态.
     */
    private String status;
    /**
     * accountDate 交易日期（会计日）.
     */
    private Date accountDate;

    /**
     * Set id 自增ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 自增ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set nextExecTime 下次执行时间.
     */
    public void setNextExecTime(Date nextExecTime){
        this.nextExecTime = nextExecTime;
    }

    /**
     * Get nextExecTime 下次执行时间.
     *
     * @return the string
     */
    public Date getNextExecTime(){
        return nextExecTime;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set status 交易状态.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 交易状态.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set accountDate 交易日期（会计日）.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 交易日期（会计日）.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }
}
