package com.abssqr.plat.common.dal.mysql.auto.resultmap;

import java.io.Serializable;
import com.general.system.common.model.Money;


/**
 * The table AstPoolLoanStat
 */
public class AstPoolLoanStat  implements Serializable {

private static final long serialVersionUID = -1L;

    /**
     * allPrinBal 所有剩余本金.
     */
    private Money allPrinBal;
    /**
     * allCnt 共剩余资产笔数.
     */
    private Long allCnt;
    /**
     * packPrinBal 已打包剩余本金.
     */
    private Money packPrinBal;
    /**
     * packCnt 已打包剩余资产笔数.
     */
    private Long packCnt;




    /**
     * Set allPrinBal 所有剩余本金.
     */
    public void setAllPrinBal(Money allPrinBal){
        this.allPrinBal = allPrinBal;
    }

    /**
     * Get allPrinBal 所有剩余本金.
     *
     * @return the string
     */
    public Money getAllPrinBal(){
        return allPrinBal;
    }

    /**
     * Set allCnt 共剩余资产笔数.
     */
    public void setAllCnt(Long allCnt){
        this.allCnt = allCnt;
    }

    /**
     * Get allCnt 共剩余资产笔数.
     *
     * @return the string
     */
    public Long getAllCnt(){
        return allCnt;
    }

    /**
     * Set packPrinBal 已打包剩余本金.
     */
    public void setPackPrinBal(Money packPrinBal){
        this.packPrinBal = packPrinBal;
    }

    /**
     * Get packPrinBal 已打包剩余本金.
     *
     * @return the string
     */
    public Money getPackPrinBal(){
        return packPrinBal;
    }

    /**
     * Set packCnt 已打包剩余资产笔数.
     */
    public void setPackCnt(Long packCnt){
        this.packCnt = packCnt;
    }

    /**
     * Get packCnt 已打包剩余资产笔数.
     *
     * @return the string
     */
    public Long getPackCnt(){
        return packCnt;
    }



}
