package com.abssqr.plat.common.dal.sync.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.sync.auto.dataobject.WkAbsMfsBillCtrIgnoreDO;
import com.abssqr.plat.common.dal.sync.auto.mapper.WkAbsMfsBillCtrIgnoreDOMapper;

/**
* The Table wk_abs_mfs_bill_ctr_ignore.
* WK_ABS_MFS_BILL_CTR_IGNORE
*/
@Repository
public class WkAbsMfsBillCtrIgnoreDAO{

    @Autowired
    private WkAbsMfsBillCtrIgnoreDOMapper wkAbsMfsBillCtrIgnoreDOMapper;

    /**
     * desc:根据主键删除数据:wk_abs_mfs_bill_ctr_ignore.<br/>
     * @param loanId loanId
     * @return int
     */
    
    public int deleteByLoanId(String loanId){
        return wkAbsMfsBillCtrIgnoreDOMapper.deleteByLoanId(loanId);
    }
    /**
     * desc:根据主键获取数据:wk_abs_mfs_bill_ctr_ignore.<br/>
     * @param loanId loanId
     * @return WkAbsMfsBillCtrIgnoreDO
     */
    
    public WkAbsMfsBillCtrIgnoreDO getByLoanId(String loanId){
        return wkAbsMfsBillCtrIgnoreDOMapper.getByLoanId(loanId);
    }
}
