/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.TitleTypeEnum;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 分配计划
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.plan: PlanAlloc.java, v 0.1 2019-06-03 16:05 bangis.wangdf Exp $
 */
public class PlanAlloc extends BaseEntity implements Serializable {

    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * allocNo 分配编号.
     */
    private String allocNo;
    /**
     * payDate 本次转付日.
     */
    private Date payDate;
    /**
     * calcDate 本次计算日.
     */
    private Date calcDate;
    /**
     * allocDate 本次分配日.
     */
    private Date allocDate;

    /**
     * reportDate 本次报告日.
     */
    private Date reportDate;
    /**
     * settleDate 本次结息日.
     */
    private Date settleDate;

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getAllocNo() {
        return allocNo;
    }

    public void setAllocNo(String allocNo) {
        this.allocNo = allocNo;
    }

    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public Date getCalcDate() {
        return calcDate;
    }

    public void setCalcDate(Date calcDate) {
        this.calcDate = calcDate;
    }

    public Date getAllocDate() {
        return allocDate;
    }

    public void setAllocDate(Date allocDate) {
        this.allocDate = allocDate;
    }


    public Date getReportDate() {
        return reportDate;
    }

    public void setReportDate(Date reportDate) {
        this.reportDate = reportDate;
    }

    public Date getSettleDate() {
        return settleDate;
    }

    public void setSettleDate(Date settleDate) {
        this.settleDate = settleDate;
    }
}
