/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.AllocTypeEmun;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.plan: PlanAllocItem.java, v 0.1 2019-06-03 16:43 bangis.wangdf Exp $
 */
public class PlanAllocItem extends BaseEntity implements Serializable {
    private static final long          serialVersionUID = 7862812748199802217L;
    /**
     * sort 排序.
     */
    private int order;
    /**
     * itemNo 事项编号.
     */
    private String itemNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * allocNo 分配编号.
     */
    private String allocNo;
    /**
     * titleNo 科目编号.
     */
    private String titleNo;
    /**
     * allocType 分配类型.
     */
    private AllocTypeEmun allocType;
    /**
     * titleName 科目名称.
     */
    private String titleName;

    public int getOrder() {
        return order;
    }

    public void setOrder(int order) {
        this.order = order;
    }

    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getAllocNo() {
        return allocNo;
    }

    public void setAllocNo(String allocNo) {
        this.allocNo = allocNo;
    }

    public String getTitleNo() {
        return titleNo;
    }

    public void setTitleNo(String titleNo) {
        this.titleNo = titleNo;
    }

    public AllocTypeEmun getAllocType() {
        return allocType;
    }

    public void setAllocType(AllocTypeEmun allocType) {
        this.allocType = allocType;
    }

    public String getTitleName() {
        return titleName;
    }

    public void setTitleName(String titleName) {
        this.titleName = titleName;
    }
}
