package com.abssqr.plat.common.facade.param.ast;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;

import java.util.ArrayList;
import java.util.List;

public class AstDownLoadParam extends BaseParam{

    private List<String> loanFieldCodes=new ArrayList<>();

    @VldString(nullable = false)
    private String packCode;

    public List<String> getLoanFieldCodes() {
        return loanFieldCodes;
    }

    public void setLoanFieldCodes(List<String> loanFieldCodes) {
        this.loanFieldCodes = loanFieldCodes;
    }

    public String getPackCode() {
        return packCode;
    }

    public void setPackCode(String packCode) {
        this.packCode = packCode;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
}
