/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.ast.astScreenRuleArea;

import com.abssqr.plat.common.facade.validation.VldString;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;

/**
 *
 * @author yangcheng
 * @version RuleArea.java, v0.12019-07-1114:15 yangchengExp$
 */
public class RuleArea extends BaseEntity implements Serializable {
    /**
     * planNo 计划编号.
     */
    @VldString(message = "地区编号不能为空")
    private         String          areaCode;
    /**
     * planName 计划名称.
     */
    @VldString(message = "地区名称不能为空")
    private         String          areaName;
    
    public String getAreaCode() {
        return areaCode;
    }
    
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }
    
    public String getAreaName() {
        return areaName;
    }
    
    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }
}
