/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.result.ast;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author yangcheng
 * @version LoanDelVO.java, v0.12019-07-1110:22 yangchengExp$
 */
public class LoanDelVO extends BaseEntity implements Serializable {
    
    
    /**
     * planNo 计划编号.
     */
    private String  planNo;
    /**
     * planName 计划名称
     */
    private String  planName;
    
    /**
     * astPrinAmt 本金规模.
     */
    private Money totalAmt;
    
    /**
     * astAmount 资产累计规模
     */
    private Money astAmt;
    /**
     * asrCurrentAmt  资产当前规模
     */
    private Money astCurrentAmt;
    
    /**
     * astCurrentCnt  资产当前笔数
     */
    private BigDecimal astCurrentCnt;
    
    /**
     * astCurrentBal 资产当前余额
     */
    private Money astCurrentBal;

    /**
     * 资金剩余规模
     */
    private Money capitalBal;

    /**
     * 匹配规模
     */
    private Money astMatchAmt;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getPlanName() {
        return planName;
    }
    
    public void setPlanName(String planName) {
        this.planName = planName;
    }
    
    public Money getTotalAmt() {
        return totalAmt;
    }
    
    public void setTotalAmt(Money totalAmt) {
        this.totalAmt = totalAmt;
    }
    
    public Money getAstAmt() {
        return astAmt;
    }
    
    public void setAstAmt(Money astAmt) {
        this.astAmt = astAmt;
    }
    
    public Money getAstCurrentAmt() {
        return astCurrentAmt;
    }
    
    public void setAstCurrentAmt(Money astCurrentAmt) {
        this.astCurrentAmt = astCurrentAmt;
    }
    
    public BigDecimal getAstCurrentCnt() {
        return astCurrentCnt;
    }
    
    public void setAstCurrentCnt(BigDecimal astCurrentCnt) {
        this.astCurrentCnt = astCurrentCnt;
    }
    
    public Money getAstCurrentBal() {
        return astCurrentBal;
    }
    
    public void setAstCurrentBal(Money astCurrentBal) {
        this.astCurrentBal = astCurrentBal;
    }

    public Money getCapitalBal() {
        return capitalBal;
    }

    public void setCapitalBal(Money capitalBal) {
        this.capitalBal = capitalBal;
    }

    public Money getAstMatchAmt() {
        return astMatchAmt;
    }

    public void setAstMatchAmt(Money astMatchAmt) {
        this.astMatchAmt = astMatchAmt;
    }
}
