/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.domain.task.ctr;

import com.abssqr.plat.common.model.domain.task.ctr.ext.AstSyncTaskContext;
import com.general.system.common.model.BaseEntity;

/**
 * AstSyncCtrTask
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.task.ctr: AstSyncCtrTask.java, v 0.1 2017-12-25 下午2:35 guozhenhua Exp $
 */
public class AstSyncTaskCtr extends BaseEntity {

    /**
     * extData EXT_DATA.
     */
    private AstSyncTaskContext extData;
    /**
     * orgCode 资产管理机构编码.
     */
    private String             orgCode;
    /**
     * taskCode 任务编号.
     */
    private String             taskCode;
    /**
     * eff 是否执行.
     */
    private Boolean            eff = false;

    public AstSyncTaskContext getExtData() {
        extData=(extData==null?new AstSyncTaskContext():extData);
        return extData;
    }

    public void setExtData(AstSyncTaskContext extData) {
        this.extData = extData;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getTaskCode() {
        return taskCode;
    }

    public void setTaskCode(String taskCode) {
        this.taskCode = taskCode;
    }

    public Boolean getEff() {
        return eff;
    }

    public void setEff(Boolean eff) {
        this.eff = eff;
    }
}
