/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.exception;

import com.abssqr.plat.common.facade.enums.CommonErrorCodeEnum;

/**
 * 非法参数异常定义
 *
 * @author zhenxuan.luo
 * @version $Id: AbssqrInvalidParamException.java, v 0.1 2017-06-06 上午11:34 zhenxuan.luo Exp $ 
 */
public class AbssqrInvalidParamException extends AbssqrBizException {
    
    private static final long serialVersionUID = -2931362603915549039L;
    
    public AbssqrInvalidParamException(String message, Throwable e) {
        super(message, e, false);
        this.errCode = CommonErrorCodeEnum.INVALID_PARAM;
        this.isCanRetry = false;
    }
    
    public AbssqrInvalidParamException(String message) {
        super(message);
        this.isCanRetry = false;
        this.errCode = CommonErrorCodeEnum.INVALID_PARAM;
    }
}