/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2018 All Rights Reserved. 
 */
package com.abssqr.plat.common.util.loggers;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 摘要日志
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.util.loggers: DigestLoggers.java, v 0.1 2018-01-19 上午01:55 zhenxuan.luo Exp $ 
 */
public class DigestLoggers {
    
    /**
     * 服务摘要日志
     */
    public final static Logger SERVICE_DIGEST = LoggerFactory.getLogger("SERVICE_DIGEST");
    
    /**
     * 数据库访问摘要日志
     */
    public final static Logger DAL_DIGEST = LoggerFactory.getLogger("DAL_DIGEST");
    
    /**
     * 数据库访问摘要日志
     */
    public final static Logger TASK_DIGEST = LoggerFactory.getLogger("TASK_DIGEST");
    
}