package com.abssqr.plat.test.unittest.astPool;

import com.abssqr.plat.common.facade.result.astPool.AstPoolVO;
import com.abssqr.plat.common.facade.service.ast.AstPoolService;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.util.VarChecker;
import com.google.gson.Gson;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

public class AstPoolGetUnitTest extends BaseAutoTests {
    @Autowired
    private AstPoolService astPoolService;

    @XTest(relatePath = "unittest/astPool/get")
    @Test(dataProvider = "YamlDataProvider", description = "资产池详情查询")
    public void add(ICase iCase, String astPoolNo,String checkGet) {
        try {
            AstPoolVO astPoolVO = astPoolService.get(astPoolNo);
            String s = new Gson().toJson(astPoolVO);
            VarChecker.checkArgument(s.equals(checkGet),"逾期结果错误");
        } finally {
            // 校验数据
            super.checkDB(iCase);
            // super.clearDB(iCase);
        }
    }
}
