/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.web.fileExport;

import org.apache.poi.ss.usermodel.ClientAnchor;
import org.apache.poi.xssf.usermodel.XSSFClientAnchor;
import org.apache.poi.xssf.usermodel.XSSFCreationHelper;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

/**
 *
 * @author zhenxuan.luo
 * @version com.ruiyi.rdassist.web.export: XssfCreationHelper.java, v 0.1 2019-03-03 23:04 zhenxuan.luo Exp $ 
 */
public class XssfCreationHelper extends XSSFCreationHelper {
    public XssfCreationHelper(XSSFWorkbook wb) {
        super(wb);
    }
    
    @Override
    public XSSFClientAnchor createClientAnchor() {
        XSSFClientAnchor anchor = super.createClientAnchor();
        anchor.setAnchorType(ClientAnchor.AnchorType.DONT_MOVE_AND_RESIZE);
        return anchor;
    }
}