package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 业务数据变更记录-审批
 */
public class BizDataChangeDO{

    /**
     * id 主键ID.
     */
    private Long id;
    /**
     * name 变更名称-同审批流名称.
     */
    private String name;
    /**
     * bizNo 业务编号.
     */
    private String bizNo;
    /**
     * datas 变更后数据.
     */
    private String datas;
    /**
     * bizType 业务类型.
     */
    private String bizType;
    /**
     * changeNo 变更编号.
     */
    private String changeNo;
    /**
     * approveStatus 最终审批状态   审批中，已通过，未通过.
     */
    private String approveStatus;
    /**
     * gmtCreate 开始时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 结束时间.
     */
    private Date gmtModified;

    /**
     * Set id 主键ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 主键ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set name 变更名称-同审批流名称.
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * Get name 变更名称-同审批流名称.
     *
     * @return the string
     */
    public String getName(){
        return name;
    }

    /**
     * Set bizNo 业务编号.
     */
    public void setBizNo(String bizNo){
        this.bizNo = bizNo;
    }

    /**
     * Get bizNo 业务编号.
     *
     * @return the string
     */
    public String getBizNo(){
        return bizNo;
    }

    /**
     * Set datas 变更后数据.
     */
    public void setDatas(String datas){
        this.datas = datas;
    }

    /**
     * Get datas 变更后数据.
     *
     * @return the string
     */
    public String getDatas(){
        return datas;
    }

    /**
     * Set bizType 业务类型.
     */
    public void setBizType(String bizType){
        this.bizType = bizType;
    }

    /**
     * Get bizType 业务类型.
     *
     * @return the string
     */
    public String getBizType(){
        return bizType;
    }

    /**
     * Set changeNo 变更编号.
     */
    public void setChangeNo(String changeNo){
        this.changeNo = changeNo;
    }

    /**
     * Get changeNo 变更编号.
     *
     * @return the string
     */
    public String getChangeNo(){
        return changeNo;
    }

    /**
     * Set approveStatus 最终审批状态   审批中，已通过，未通过.
     */
    public void setApproveStatus(String approveStatus){
        this.approveStatus = approveStatus;
    }

    /**
     * Get approveStatus 最终审批状态   审批中，已通过，未通过.
     *
     * @return the string
     */
    public String getApproveStatus(){
        return approveStatus;
    }

    /**
     * Set gmtCreate 开始时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 开始时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 结束时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 结束时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
