package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 分配计划表
 */
public class PlanAllocDO{

    /**
     * id 唯一主键.
     */
    private Long id;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * allocNo 分配编号.
     */
    private String allocNo;
    /**
     * payDate 本次转付日.
     */
    private Date payDate;
    /**
     * calcDate 本次计算日.
     */
    private Date calcDate;
    /**
     * allocDate 本次分配日.
     */
    private Date allocDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * reportDate 本次报告日.
     */
    private Date reportDate;
    /**
     * settleDate 本次结息日.
     */
    private Date settleDate;
    /**
     * gmtModified 更新时间.
     */
    private Date gmtModified;

    /**
     * Set id 唯一主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 唯一主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set allocNo 分配编号.
     */
    public void setAllocNo(String allocNo){
        this.allocNo = allocNo;
    }

    /**
     * Get allocNo 分配编号.
     *
     * @return the string
     */
    public String getAllocNo(){
        return allocNo;
    }

    /**
     * Set payDate 本次转付日.
     */
    public void setPayDate(Date payDate){
        this.payDate = payDate;
    }

    /**
     * Get payDate 本次转付日.
     *
     * @return the string
     */
    public Date getPayDate(){
        return payDate;
    }

    /**
     * Set calcDate 本次计算日.
     */
    public void setCalcDate(Date calcDate){
        this.calcDate = calcDate;
    }

    /**
     * Get calcDate 本次计算日.
     *
     * @return the string
     */
    public Date getCalcDate(){
        return calcDate;
    }

    /**
     * Set allocDate 本次分配日.
     */
    public void setAllocDate(Date allocDate){
        this.allocDate = allocDate;
    }

    /**
     * Get allocDate 本次分配日.
     *
     * @return the string
     */
    public Date getAllocDate(){
        return allocDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set reportDate 本次报告日.
     */
    public void setReportDate(Date reportDate){
        this.reportDate = reportDate;
    }

    /**
     * Get reportDate 本次报告日.
     *
     * @return the string
     */
    public Date getReportDate(){
        return reportDate;
    }

    /**
     * Set settleDate 本次结息日.
     */
    public void setSettleDate(Date settleDate){
        this.settleDate = settleDate;
    }

    /**
     * Get settleDate 本次结息日.
     *
     * @return the string
     */
    public Date getSettleDate(){
        return settleDate;
    }

    /**
     * Set gmtModified 更新时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 更新时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
