package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 分配计划事项表
 */
public class PlanAllocItemDO{

    /**
     * id 唯一ID.
     */
    private Long id;
    /**
     * order 排序.
     */
    private Long order;
    /**
     * itemNo 事项编号.
     */
    private String itemNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * allocNo 分配编号.
     */
    private String allocNo;
    /**
     * titleNo 科目编号.
     */
    private String titleNo;
    /**
     * allocType 分配类型.
     */
    private String allocType;
    /**
     * titleName 科目名称.
     */
    private String titleName;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 更新时间.
     */
    private Date gmtModified;

    /**
     * Set id 唯一ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 唯一ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set order 排序.
     */
    public void setOrder(Long order){
        this.order = order;
    }

    /**
     * Get order 排序.
     *
     * @return the string
     */
    public Long getOrder(){
        return order;
    }

    /**
     * Set itemNo 事项编号.
     */
    public void setItemNo(String itemNo){
        this.itemNo = itemNo;
    }

    /**
     * Get itemNo 事项编号.
     *
     * @return the string
     */
    public String getItemNo(){
        return itemNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set allocNo 分配编号.
     */
    public void setAllocNo(String allocNo){
        this.allocNo = allocNo;
    }

    /**
     * Get allocNo 分配编号.
     *
     * @return the string
     */
    public String getAllocNo(){
        return allocNo;
    }

    /**
     * Set titleNo 科目编号.
     */
    public void setTitleNo(String titleNo){
        this.titleNo = titleNo;
    }

    /**
     * Get titleNo 科目编号.
     *
     * @return the string
     */
    public String getTitleNo(){
        return titleNo;
    }

    /**
     * Set allocType 分配类型.
     */
    public void setAllocType(String allocType){
        this.allocType = allocType;
    }

    /**
     * Get allocType 分配类型.
     *
     * @return the string
     */
    public String getAllocType(){
        return allocType;
    }

    /**
     * Set titleName 科目名称.
     */
    public void setTitleName(String titleName){
        this.titleName = titleName;
    }

    /**
     * Get titleName 科目名称.
     *
     * @return the string
     */
    public String getTitleName(){
        return titleName;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 更新时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 更新时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
