package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table ABS_PLAN_FEE_STRUCTURE
 */
public class PlanFeeStructureDO{

    /**
     * id 唯一主键.
     */
    private Long id;
    /**
     * order .
     */
    private Long order;
    /**
     * fixedFeeAmt 固定费用.
     */
    private Long fixedFeeAmt;
    /**
     * payLimitAmt 支付上限.
     */
    private Long payLimitAmt;
    /**
     * feeNo 费用编号.
     */
    private String feeNo;
    /**
     * planNo 产品编号.
     */
    private String planNo;
    /**
     * feeName 费用名称.
     */
    private String feeName;
    /**
     * feeCalcType 计费方式.
     */
    private String feeCalcType;
    /**
     * feeScaleType 费用基准.
     */
    private String feeScaleType;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 更新时间.
     */
    private Date gmtModified;
    /**
     * feeCalcDefaultDate 默认计费时间.
     */
    private Date feeCalcDefaultDate;
    /**
     * feeRate 费率.
     */
    private BigDecimal feeRate;

    /**
     * Set id 唯一主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 唯一主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set order .
     */
    public void setOrder(Long order){
        this.order = order;
    }

    /**
     * Get order .
     *
     * @return the string
     */
    public Long getOrder(){
        return order;
    }

    /**
     * Set fixedFeeAmt 固定费用.
     */
    public void setFixedFeeAmt(Long fixedFeeAmt){
        this.fixedFeeAmt = fixedFeeAmt;
    }

    /**
     * Get fixedFeeAmt 固定费用.
     *
     * @return the string
     */
    public Long getFixedFeeAmt(){
        return fixedFeeAmt;
    }

    /**
     * Set payLimitAmt 支付上限.
     */
    public void setPayLimitAmt(Long payLimitAmt){
        this.payLimitAmt = payLimitAmt;
    }

    /**
     * Get payLimitAmt 支付上限.
     *
     * @return the string
     */
    public Long getPayLimitAmt(){
        return payLimitAmt;
    }

    /**
     * Set feeNo 费用编号.
     */
    public void setFeeNo(String feeNo){
        this.feeNo = feeNo;
    }

    /**
     * Get feeNo 费用编号.
     *
     * @return the string
     */
    public String getFeeNo(){
        return feeNo;
    }

    /**
     * Set planNo 产品编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 产品编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set feeName 费用名称.
     */
    public void setFeeName(String feeName){
        this.feeName = feeName;
    }

    /**
     * Get feeName 费用名称.
     *
     * @return the string
     */
    public String getFeeName(){
        return feeName;
    }

    /**
     * Set feeCalcType 计费方式.
     */
    public void setFeeCalcType(String feeCalcType){
        this.feeCalcType = feeCalcType;
    }

    /**
     * Get feeCalcType 计费方式.
     *
     * @return the string
     */
    public String getFeeCalcType(){
        return feeCalcType;
    }

    /**
     * Set feeScaleType 费用基准.
     */
    public void setFeeScaleType(String feeScaleType){
        this.feeScaleType = feeScaleType;
    }

    /**
     * Get feeScaleType 费用基准.
     *
     * @return the string
     */
    public String getFeeScaleType(){
        return feeScaleType;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 更新时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 更新时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set feeCalcDefaultDate 默认计费时间.
     */
    public void setFeeCalcDefaultDate(Date feeCalcDefaultDate){
        this.feeCalcDefaultDate = feeCalcDefaultDate;
    }

    /**
     * Get feeCalcDefaultDate 默认计费时间.
     *
     * @return the string
     */
    public Date getFeeCalcDefaultDate(){
        return feeCalcDefaultDate;
    }

    /**
     * Set feeRate 费率.
     */
    public void setFeeRate(BigDecimal feeRate){
        this.feeRate = feeRate;
    }

    /**
     * Get feeRate 费率.
     *
     * @return the string
     */
    public BigDecimal getFeeRate(){
        return feeRate;
    }
}
