package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table ABS_PLAN_MONITOR_RECORD
 */
public class PlanMonitorRecordDO{

    /**
     * id 主键ID.
     */
    private Long id;
    /**
     * monitorId 事项ID.
     */
    private Long monitorId;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * indicator 监控指标.
     */
    private String indicator;
    /**
     * monitorName 事项名称.
     */
    private String monitorName;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * value 当前事项指标值.
     */
    private BigDecimal value;
    /**
     * excessValue 当前超标值.
     */
    private BigDecimal excessValue;

    /**
     * Set id 主键ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 主键ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set monitorId 事项ID.
     */
    public void setMonitorId(Long monitorId){
        this.monitorId = monitorId;
    }

    /**
     * Get monitorId 事项ID.
     *
     * @return the string
     */
    public Long getMonitorId(){
        return monitorId;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set indicator 监控指标.
     */
    public void setIndicator(String indicator){
        this.indicator = indicator;
    }

    /**
     * Get indicator 监控指标.
     *
     * @return the string
     */
    public String getIndicator(){
        return indicator;
    }

    /**
     * Set monitorName 事项名称.
     */
    public void setMonitorName(String monitorName){
        this.monitorName = monitorName;
    }

    /**
     * Get monitorName 事项名称.
     *
     * @return the string
     */
    public String getMonitorName(){
        return monitorName;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set value 当前事项指标值.
     */
    public void setValue(BigDecimal value){
        this.value = value;
    }

    /**
     * Get value 当前事项指标值.
     *
     * @return the string
     */
    public BigDecimal getValue(){
        return value;
    }

    /**
     * Set excessValue 当前超标值.
     */
    public void setExcessValue(BigDecimal excessValue){
        this.excessValue = excessValue;
    }

    /**
     * Get excessValue 当前超标值.
     *
     * @return the string
     */
    public BigDecimal getExcessValue(){
        return excessValue;
    }
}
