package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanAstDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_loan_ast.
 * 机构资产
 */
public interface LoanAstDOMapper{

    /**
     * desc:批量插入表:abs_loan_ast.<br/>
     * @param entity entity
     * @return int
     */
    int insert(LoanAstDO entity);
    /**
     * desc:更新表:abs_loan_ast.<br/>
     * @param entity entity
     * @return int
     */
    int update(LoanAstDO entity);
    /**
     * desc:根据普通索引AbsLoanAstIdx获取数据:abs_loan_ast.<br/>
     * @param astNo astNo
     * @return List<LoanAstDO>
     */
    List<LoanAstDO> queryByAstNo(@Param("astNo")String astNo);
}
