/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.base;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

/**
 *  机构分润
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.base: OrgDistPftMoney.java, v 0.1 2019-09-06 13:02 bangis.wangdf Exp $
 */
public class OrgDistPftMoney extends BaseEntity {
    /**
     * 机构分润 = 利息收入-利息实付
     */
    private Money amt    = new Money(0);
    /**
     * 摊出 = (机构分润✖应付)/利息收入 ️
     */
    private Money apporAmt  = new Money(0);
    /**
     * 实付 = 机构分润 - 摊出
     */
    private Money paidAmt = new Money(0);
    public OrgDistPftMoney(){}
    public OrgDistPftMoney(Money amt, Money apporAmt, Money paidAmt) {
        this.amt = amt;
        this.apporAmt = apporAmt;
        this.paidAmt = paidAmt;
    }

    public Money getAmt() {
        return amt;
    }

    public void setAmt(Money amt) {
        this.amt = amt;
    }

    public Money getApporAmt() {
        return apporAmt;
    }

    public void setApporAmt(Money apporAmt) {
        this.apporAmt = apporAmt;
    }

    public Money getPaidAmt() {
        return paidAmt;
    }

    public void setPaidAmt(Money paidAmt) {
        this.paidAmt = paidAmt;
    }
}
