/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.PlanCapitalFrozenTypeEnum;
import com.abssqr.plat.common.facade.enums.PlanCapitalTransTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.plan: PlanCapitalLog.java, v 0.1 2019-05-28 17:02 zhenxuan.luo Exp $
 */
public class PlanCapitalEvent extends BaseEntity implements Serializable {
    
    private static final long serialVersionUID = 8255131776400875642L;
    
    private String planNo;
    
    private Money amt;
    
    private PlanCapitalTransTypeEnum transType;
    
    private PlanCapitalFrozenTypeEnum frozenType;
    
    private Date accountDate;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public Money getAmt() {
        return amt;
    }
    
    public void setAmt(Money amt) {
        this.amt = amt;
    }
    
    public PlanCapitalTransTypeEnum getTransType() {
        return transType;
    }
    
    public void setTransType(PlanCapitalTransTypeEnum transType) {
        this.transType = transType;
    }
    
    public PlanCapitalFrozenTypeEnum getFrozenType() {
        return frozenType;
    }
    
    public void setFrozenType(PlanCapitalFrozenTypeEnum frozenType) {
        this.frozenType = frozenType;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
}