/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report: ReportDateField.java, v 0.1 2019-06-28 20:04 zhenxuan.luo Exp $
 */
public interface ReportDateField {
    
    /**
     * 解析日期
     * @param val
     */
    void parse(String val);
    
    /**
     * 获取统计描述
     * @return
     */
    String desc();
    
    /**
     * 设置下一次统计时间
     * @param <E>
     * @return
     */
    <E extends ReportDateField> E toNext();
    
    /**
     * 回去会计日
     * @return
     */
    Date getAccountDate();

}