/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report.manRpt;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report.manRpt: PlanRisk.java, v 0.1 2019-07-01 00:42 zhenxuan.luo Exp $
 */
public class PlanCommonRpt extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 2077974887789653319L;
    /**
     * 日均收益率
     */
    @Deprecated
    private BigDecimal avgProfit       = BigDecimal.ZERO;
    /**
     * 信托实际收益率（税前）
     */
    private BigDecimal profitRate       = BigDecimal.ZERO;
    /**
     * 日均贷款余额（含核销贷款）
     */
    private BigDecimal dailyAvgPrin    = BigDecimal.ZERO;
    /**
     * 日均贷款余额（不含核销贷款）
     */
    private BigDecimal dailyAvgPrinExt = BigDecimal.ZERO;
    /**
     * 合同不良率
     */
    private BigDecimal nplCont         = BigDecimal.ZERO;
    /**
     * 静态不良率
     */
    private BigDecimal nplStatic       = BigDecimal.ZERO;
    /**
     * 报备不良率
     */
    private BigDecimal nplReport       = BigDecimal.ZERO;
    /**
     * 实际不良率
     */
    private BigDecimal nplReal         = BigDecimal.ZERO;
    
    public void copyAft(PlanCommonRpt obj) {
        this.nplCont = obj.nplCont;
        this.nplStatic = obj.nplStatic;
        this.nplReport = obj.nplReport;
        this.nplReal = obj.nplReal;
    }
    
    @Deprecated
    public BigDecimal getAvgProfit() {
        return avgProfit;
    }
    
    @Deprecated
    public void setAvgProfit(BigDecimal avgProfit) {
        this.avgProfit = avgProfit;
    }
    
    public BigDecimal getDailyAvgPrin() {
        return dailyAvgPrin;
    }
    
    public void setDailyAvgPrin(BigDecimal dailyAvgPrin) {
        this.dailyAvgPrin = dailyAvgPrin;
    }
    
    public BigDecimal getDailyAvgPrinExt() {
        return dailyAvgPrinExt;
    }
    
    public void setDailyAvgPrinExt(BigDecimal dailyAvgPrinExt) {
        this.dailyAvgPrinExt = dailyAvgPrinExt;
    }
    
    public BigDecimal getNplCont() {
        return nplCont;
    }
    
    public void setNplCont(BigDecimal nplCont) {
        this.nplCont = nplCont;
    }
    
    public BigDecimal getNplStatic() {
        return nplStatic;
    }
    
    public void setNplStatic(BigDecimal nplStatic) {
        this.nplStatic = nplStatic;
    }
    
    public BigDecimal getNplReport() {
        return nplReport;
    }
    
    public void setNplReport(BigDecimal nplReport) {
        this.nplReport = nplReport;
    }
    
    public BigDecimal getNplReal() {
        return nplReal;
    }
    
    public void setNplReal(BigDecimal nplReal) {
        this.nplReal = nplReal;
    }
    
    public BigDecimal getProfitRate() {
        return profitRate;
    }
    
    public void setProfitRate(BigDecimal profitRate) {
        this.profitRate = profitRate;
    }
}