/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.loanTrans;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.LoanAstStatusEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.loanTrans: LoanAstLog.java, v 0.1 2019-11-13 下午14:09 zhenxuan.luo Exp $ 
 */
public class LoanAstLog extends BaseEntity {
    
    /**
     * id .
     */
    private Long              id;
    /**
     * astNo .
     */
    private String            astNo;
    /**
     * bizNo .
     */
    private String            bizNo;
    /**
     * seqNo .
     */
    private String            seqNo;
    /**
     * extInf .
     */
    private String            extInf;
    /**
     * ownOrg .
     */
    private String            ownOrg;
    /**
     * prodNo .
     */
    private String            prodNo;
    /**
     * userId .
     */
    private String            userId;
    /**
     * execTms .
     */
    private String            execTms;
    /**
     * inAstNo .
     */
    private String            inAstNo;
    /**
     * ownPack .
     */
    private String            ownPack;
    /**
     * outAstNo .
     */
    private String            outAstNo;
    /**
     * outBizNo .
     */
    private String            outBizNo;
    /**
     * eventCode .
     */
    private EventCodeEnum     eventCode;
    /**
     * loanAstNo .
     */
    private String            loanAstNo;
    /**
     * outProdNo .
     */
    private String            outProdNo;
    /**
     * afAstStatus .
     */
    private LoanAstStatusEnum afAstStatus;
    /**
     * bfAstStatus .
     */
    private LoanAstStatusEnum bfAstStatus;
    /**
     * lenderOrgCode .
     */
    private String            lenderOrgCode;
    /**
     * termNo .
     */
    private Integer           termNo;
    /**
     * gmtCreate .
     */
    private Date              gmtCreate;
    /**
     * transTime .
     */
    private Date              transTime;
    /**
     * accountDate .
     */
    private Date              accountDate;
    /**
     * prinAmt .
     */
    private Money             prinAmt   = new Money();
    /**
     * afPrinBal .
     */
    private Money             afPrinBal = new Money();
    
    private Money clrgAmt = new Money();

    /**
     * 备注
     */
    private String memo;



    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public String getAstNo() {
        return astNo;
    }
    
    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    
    public String getSeqNo() {
        return seqNo;
    }
    
    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }
    
    public String getExtInf() {
        return extInf;
    }
    
    public void setExtInf(String extInf) {
        this.extInf = extInf;
    }
    
    public String getOwnOrg() {
        return ownOrg;
    }
    
    public void setOwnOrg(String ownOrg) {
        this.ownOrg = ownOrg;
    }
    
    public String getProdNo() {
        return prodNo;
    }
    
    public void setProdNo(String prodNo) {
        this.prodNo = prodNo;
    }
    
    public String getUserId() {
        return userId;
    }
    
    public void setUserId(String userId) {
        this.userId = userId;
    }
    
    public String getExecTms() {
        return execTms;
    }
    
    public void setExecTms(String execTms) {
        this.execTms = execTms;
    }
    
    public String getInAstNo() {
        return inAstNo;
    }
    
    public void setInAstNo(String inAstNo) {
        this.inAstNo = inAstNo;
    }
    
    public String getOwnPack() {
        return ownPack;
    }
    
    public void setOwnPack(String ownPack) {
        this.ownPack = ownPack;
    }
    
    public String getOutAstNo() {
        return outAstNo;
    }
    
    public void setOutAstNo(String outAstNo) {
        this.outAstNo = outAstNo;
    }
    
    public String getOutBizNo() {
        return outBizNo;
    }
    
    public void setOutBizNo(String outBizNo) {
        this.outBizNo = outBizNo;
    }
    
    public EventCodeEnum getEventCode() {
        return eventCode;
    }
    
    public void setEventCode(EventCodeEnum eventCode) {
        this.eventCode = eventCode;
    }
    
    public String getLoanAstNo() {
        return loanAstNo;
    }
    
    public void setLoanAstNo(String loanAstNo) {
        this.loanAstNo = loanAstNo;
    }
    
    public String getOutProdNo() {
        return outProdNo;
    }
    
    public void setOutProdNo(String outProdNo) {
        this.outProdNo = outProdNo;
    }
    
    public LoanAstStatusEnum getAfAstStatus() {
        return afAstStatus;
    }
    
    public void setAfAstStatus(LoanAstStatusEnum afAstStatus) {
        this.afAstStatus = afAstStatus;
    }
    
    public LoanAstStatusEnum getBfAstStatus() {
        return bfAstStatus;
    }
    
    public void setBfAstStatus(LoanAstStatusEnum bfAstStatus) {
        this.bfAstStatus = bfAstStatus;
    }
    
    public String getLenderOrgCode() {
        return lenderOrgCode;
    }
    
    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }
    
    public Integer getTermNo() {
        return termNo;
    }
    
    public void setTermNo(Integer termNo) {
        this.termNo = termNo;
    }
    
    public Date getGmtCreate() {
        return gmtCreate;
    }
    
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    
    public Date getTransTime() {
        return transTime;
    }
    
    public void setTransTime(Date transTime) {
        this.transTime = transTime;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public Money getPrinAmt() {
        return prinAmt;
    }
    
    public void setPrinAmt(Money prinAmt) {
        this.prinAmt = prinAmt;
    }
    
    public Money getAfPrinBal() {
        return afPrinBal;
    }
    
    public void setAfPrinBal(Money afPrinBal) {
        this.afPrinBal = afPrinBal;
    }
    
    public Money getClrgAmt() {
        return clrgAmt;
    }
    
    public void setClrgAmt(Money clrgAmt) {
        this.clrgAmt = clrgAmt;
    }

    public String forLog() {
        return "LoanAstLog{" +
            ", astNo='" + astNo + '\'' +
            ", bizNo='" + bizNo + '\'' +
            ", seqNo='" + seqNo + '\'' +
            ", ownOrg='" + ownOrg + '\'' +
            ", inAstNo='" + inAstNo + '\'' +
            ", outAstNo='" + outAstNo + '\'' +
            ", outBizNo='" + outBizNo + '\'' +
            ", eventCode=" + eventCode +
            ", loanAstNo='" + loanAstNo + '\'' +
            ", lenderOrgCode='" + lenderOrgCode + '\'' +
            ", termNo=" + termNo +
            ", accountDate=" + accountDate +
            ", prinAmt=" + prinAmt +
            ", clrgAmt=" + clrgAmt +
            '}';
    }
}