/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.domain.task.ctr;

import com.abssqr.plat.common.facade.enums.SyncTaskTypeEnum;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.general.system.common.model.BaseEntity;

import java.util.Date;

/**
 * AstSyncCtrTask
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.task.ctr: AstSyncCtrTask.java, v 0.1 2017-12-25 下午2:35 guozhenhua Exp $
 */
public class AstSyncTaskCtrLog extends BaseEntity {
    /**
     * hostIp HOSTIP.
     */
    private String           hostIp;
    /**
     * status 任务状态.
     */
    private TaskStatusEnum   status;
    /**
     * 任务类型
     */
    private SyncTaskTypeEnum taskType;
    /**
     * extData 扩展数据.
     */
    private String           extData;
    /**
     * orgCode 资产管理机构编码.
     */
    private String           orgCode;
    /**
     * taskCode SEQ.
     */
    private String           taskCode;
    /**
     * taskLogCode 同步CODE.
     */
    private String           taskLogCode;
    /**
     * execDate 执行日期.
     */
    private Date             execDate;
    /**
     * orgDate 机构会计日.
     */
    private Date             orgDate;

    private AstSyncTaskCtrLog nextTask;

    public String getHostIp() {
        return hostIp;
    }

    public void setHostIp(String hostIp) {
        this.hostIp = hostIp;
    }

    public TaskStatusEnum getStatus() {
        return status;
    }

    public void setStatus(TaskStatusEnum status) {
        this.status = status;
    }

    public SyncTaskTypeEnum getTaskType() {
        return taskType;
    }

    public void setTaskType(SyncTaskTypeEnum taskType) {
        this.taskType = taskType;
    }

    public String getExtData() {
        return extData;
    }

    public void setExtData(String extData) {
        this.extData = extData;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getTaskCode() {
        return taskCode;
    }

    public void setTaskCode(String taskCode) {
        this.taskCode = taskCode;
    }

    public String getTaskLogCode() {
        return taskLogCode;
    }

    public void setTaskLogCode(String taskLogCode) {
        this.taskLogCode = taskLogCode;
    }

    public Date getExecDate() {
        return execDate;
    }

    public void setExecDate(Date execDate) {
        this.execDate = execDate;
    }

    public AstSyncTaskCtrLog getNextTask() {
        return nextTask;
    }

    public void setNextTask(AstSyncTaskCtrLog nextTask) {
        this.nextTask = nextTask;
    }

    public Date getOrgDate() {
        return orgDate;
    }

    public void setOrgDate(Date orgDate) {
        this.orgDate = orgDate;
    }
}
