/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.loanTrans.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.LoanAstLogDAO;
import com.abssqr.plat.common.model.convertor.LoanAstLogConvert;
import com.abssqr.plat.common.model.domain.loanTrans.LoanAstLog;
import com.abssqr.plat.common.model.repo.loanTrans.LoanAstLogRepo;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.loanTrans.impl: LoanAstLogRepoImpl.java, v 0.1 2019-11-14 上午24:51 zhenxuan.luo Exp $ 
 */
@Component
public class LoanAstLogRepoImpl implements LoanAstLogRepo {
    
    @Autowired
    private LoanAstLogDAO loanAstLogDAO;
    
    @Override
    public int insertBatch(List<LoanAstLog> list) {
        if (CollectionUtils.isEmpty(list)) {
            return 0;
        }
        return loanAstLogDAO.insertBatch(LoanAstLogConvert.convert2Dos(list));
    }
}