drop table ABS_PLAN_ALLOC;


CREATE TABLE ABS_PLAN_ALLOC
(
    ID NUMBER(10) PRIMARY KEY,
    PLAN_NO VARCHAR2(128),
    ALLOC_NO VARCHAR2(128),
    CALC_DATE DATE,
    PAY_DATE DATE,
    SETTLE_DATE DATE,
    ALLOC_DATE DATE,
    REPORT_DATE DATE,
    GMT_CREATE DATE,
    GMT_MODIFIED DATE
);
COMMENT ON COLUMN ABS_PLAN_ALLOC.ID IS '唯一主键';
COMMENT ON COLUMN ABS_PLAN_ALLOC.PLAN_NO IS '计划编号';
COMMENT ON COLUMN ABS_PLAN_ALLOC.ALLOC_NO IS '分配编号';
COMMENT ON COLUMN ABS_PLAN_ALLOC.CALC_DATE IS '本次计算日';
COMMENT ON COLUMN ABS_PLAN_ALLOC.PAY_DATE IS '本次转付日';
COMMENT ON COLUMN ABS_PLAN_ALLOC.SETTLE_DATE IS '本次结息日';
COMMENT ON COLUMN ABS_PLAN_ALLOC.ALLOC_DATE IS '本次分配日';
COMMENT ON COLUMN ABS_PLAN_ALLOC.REPORT_DATE IS '本次报告日';
COMMENT ON COLUMN ABS_PLAN_ALLOC.GMT_CREATE IS '创建时间';
COMMENT ON COLUMN ABS_PLAN_ALLOC.GMT_MODIFIED IS '更新时间';
COMMENT ON TABLE ABS_PLAN_ALLOC IS '分配计划表';



-- 序列号
drop SEQUENCE SEQ_ABS_PLAN_ALLOC;

CREATE SEQUENCE  SEQ_ABS_PLAN_ALLOC 1 MAXVALUE 9999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 ORDER  NOCYCLE ;
